import request from '@/utils/request'

// 查询cmc预结算列表
export function listBudgetSettle(query) {
  return request({
    url: '/oa/budgetSettle/list',
    method: 'get',
    params: query
  })
}

// 查询cmc预结算详细
export function getBudgetSettle(budgetId) {
  return request({
    url: '/oa/budgetSettle/' + budgetId,
    method: 'get'
  })
}

// 新增cmc预结算
export function addBudgetSettle(data) {
  return request({
    url: '/oa/budgetSettle',
    method: 'post',
    data: data
  })
}

// 修改cmc预结算
export function updateBudgetSettle(data) {
  return request({
    url: '/oa/budgetSettle',
    method: 'put',
    data: data
  })
}

// 删除cmc预结算
export function delBudgetSettle(budgetId) {
  return request({
    url: '/oa/budgetSettle/' + budgetId,
    method: 'delete'
  })
}
